jwt-simple 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1212478 漏洞类型
发布时间 2018-05-31 更新时间 2018-06-11
CVE编号 CVE-2016-10555 CNNVD-ID CNNVD-201805-1182
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201805-1182
|漏洞详情
jwt-simple是一个基于Node.js的JWT(JSON Web Token)编码和解码模块。 jwt-simple 0.3.0及之前版本中存在安全漏洞。攻击者可通过选择发送到的服务器的算法利用该漏洞伪造任意数据。
|参考资料

来源:auth0.com

链接:https://auth0.com/blog/2015/03/31/critical-vulnerabilities-in-json-web-token-libraries/


来源:github.com

链接:https://github.com/hokaccha/node-jwt-simple/pull/14


来源:github.com

链接:https://github.com/hokaccha/node-jwt-simple/pull/16


来源:nodesecurity.io

链接:https://nodesecurity.io/advisories/87